Debian Bug report logs - #536473
FTBFS with new dpkg-dev

version graph

Package: haskell-regex-compat; Maintainer for haskell-regex-compat is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>;

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Fri, 10 Jul 2009 08:39:01 UTC

Severity: serious

Found in version 0.92-1.1

Fixed in version haskell-regex-compat/0.92-2

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, igloo@debian.org, Arjan Oosting <arjan@debian.org>:
Bug#536473; Package haskell-regex-compat. (Fri, 10 Jul 2009 08:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to igloo@debian.org, Arjan Oosting <arjan@debian.org>. (Fri, 10 Jul 2009 08:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: FTBFS with new dpkg-dev
Date: Fri, 10 Jul 2009 11:12:57 +0300
Package: haskell-regex-compat
Version: 0.92-1.1
Severity: serious

There is a missing "," in the end of second last line in build-deps:

Build-Depends: cpphs, dpkg-dev (>= 1.13.19), debhelper (>= 5.0.0),
 dpatch, ghc6 (>= 6.10), ghc6-prof, haskell-devscripts (>= 0.6.6),
 libghc6-regex-base-dev (>= 0.93), libghc6-regex-base-prof (>= 0.93)
 libghc6-regex-posix-dev (>= 0.93), libghc6-regex-posix-prof (>= 0.93)

new dpkg-dev will detect this and fail:

dpkg-buildpackage: source package haskell-regex-compat
dpkg-buildpackage: source version 0.92-1.1
dpkg-buildpackage: host architecture armel
dpkg-checkbuilddeps: warning: can't parse dependency libghc6-regex-base-prof (>= 0.93)
 libghc6-regex-posix-dev (>= 0.93)

You might want to check for this on other haskell libs before starting the
binNMU campaign.

Spotted on armel build logs:

https://buildd.debian.org/fetch.cgi?pkg=haskell-regex-compat&arch=armel&ver=0.92-1.1&stamp=1247125378&file=log&as=raw




Information forwarded to debian-bugs-dist@lists.debian.org, Arjan Oosting <arjan@debian.org>:
Bug#536473; Package haskell-regex-compat. (Tue, 14 Jul 2009 17:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Arjan Oosting <arjan@debian.org>. (Tue, 14 Jul 2009 17:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 536473@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Joachim Breitner <nomeata@debian.org>
Cc: debian-release@lists.debian.org, debian-haskell@lists.debian.org, 536473@bugs.debian.org
Subject: Re: More haskell give-backs
Date: Tue, 14 Jul 2009 20:10:24 +0300
[Message part 1 (text/plain, inline)]
On Tue, Jul 14, 2009 at 01:05:00PM +0200, Joachim Breitner wrote:
> The build failure of haskell-regex-compat is strange:
> https://buildd.debian.org/fetch.cgi?pkg=haskell-regex-compat;ver=0.92-1.1;arch=armel;stamp=1247521981

bugs.debian.org/536473

> And it builds fine on other arches. Something wrong with
> dpkg-buildpackage on armel?

That's because all other archs built haskell-regex-compat
before the change in dpkg-checkbuilddeps. Try it now with a up-to-date
pbuilder :)

Cheers,
Riku

[signature.asc (application/pgp-signature, inline)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Mon, 20 Jul 2009 10:57:03 GMT) Full text and rfc822 format available.

Notification sent to Riku Voipio <riku.voipio@iki.fi>:
Bug acknowledged by developer. (Mon, 20 Jul 2009 10:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 536473-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 536473-close@bugs.debian.org
Subject: Bug#536473: fixed in haskell-regex-compat 0.92-2
Date: Mon, 20 Jul 2009 10:32:47 +0000
Source: haskell-regex-compat
Source-Version: 0.92-2

We believe that the bug you reported is fixed in the latest version of
haskell-regex-compat, which is due to be installed in the Debian FTP archive:

haskell-regex-compat-doc_0.92-2_all.deb
  to pool/main/h/haskell-regex-compat/haskell-regex-compat-doc_0.92-2_all.deb
haskell-regex-compat_0.92-2.diff.gz
  to pool/main/h/haskell-regex-compat/haskell-regex-compat_0.92-2.diff.gz
haskell-regex-compat_0.92-2.dsc
  to pool/main/h/haskell-regex-compat/haskell-regex-compat_0.92-2.dsc
libghc6-regex-compat-dev_0.92-2_amd64.deb
  to pool/main/h/haskell-regex-compat/libghc6-regex-compat-dev_0.92-2_amd64.deb
libghc6-regex-compat-prof_0.92-2_amd64.deb
  to pool/main/h/haskell-regex-compat/libghc6-regex-compat-prof_0.92-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536473@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated haskell-regex-compat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 20 Jul 2009 12:05:40 +0200
Source: haskell-regex-compat
Binary: libghc6-regex-compat-dev libghc6-regex-compat-prof haskell-regex-compat-doc
Architecture: source all amd64
Version: 0.92-2
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 haskell-regex-compat-doc - API documentation for regex-compat Haskell library
 libghc6-regex-compat-dev - GHC 6 library provinding old Text.Regex inferface
 libghc6-regex-compat-prof - GHC 6 profiling library provinding old Text.Regex inferface
Closes: 536473
Changes: 
 haskell-regex-compat (0.92-2) unstable; urgency=low
 .
   * Adopt package for the Debian Haskell Group
   * Fix "FTBFS with new dpkg-dev" by adding comma to debian/control
     (Closes: #536473)
Checksums-Sha1: 
 2fbabd9faa65df618b08702fa47609cf621b2312 1592 haskell-regex-compat_0.92-2.dsc
 94d3098d730f0a7b8c39679ec2b94b3e5502caec 2287 haskell-regex-compat_0.92-2.diff.gz
 b3c60e2d0457dc7b8610f87c96f3f93b81a945b1 14238 haskell-regex-compat-doc_0.92-2_all.deb
 515e7b376591860c3ee5d1b0739c5e56970b434d 21636 libghc6-regex-compat-dev_0.92-2_amd64.deb
 5012350b85e8d5978f97a8ee572159f3c9dd75eb 20460 libghc6-regex-compat-prof_0.92-2_amd64.deb
Checksums-Sha256: 
 790fbf5f803d7d23d2a5285320f64b3d22fdc67210b1cf590d0b2e8114b3e215 1592 haskell-regex-compat_0.92-2.dsc
 c81e2e411a8225b4946b4849d05209ccf84183b420e54da4c2932b1a340e4e30 2287 haskell-regex-compat_0.92-2.diff.gz
 6ad1c68abc2e72cbcafc1c07ae4fbbd3b588d329d2ed2cfa36cbeef53eb54e0c 14238 haskell-regex-compat-doc_0.92-2_all.deb
 bcfec86ddfe0ba008a65f96c378b7eab5c2e6cbad30d957ea08fbf3a199984b9 21636 libghc6-regex-compat-dev_0.92-2_amd64.deb
 d2aec687daad608bd9e5ee404eb120648eb7f516e944bbc423fa592374207331 20460 libghc6-regex-compat-prof_0.92-2_amd64.deb
Files: 
 c4f386a5c49098315a74af3e2310828d 1592 haskell extra haskell-regex-compat_0.92-2.dsc
 257620ae7a808b9084298f5c4c0c752c 2287 haskell extra haskell-regex-compat_0.92-2.diff.gz
 1212487c0c06364a9355204400f8a4ad 14238 doc extra haskell-regex-compat-doc_0.92-2_all.deb
 159654a9c5a56b72e68e205364b2e6d6 21636 haskell extra libghc6-regex-compat-dev_0.92-2_amd64.deb
 ab5519a53bb8bbea4492ccf40cd305c7 20460 haskell extra libghc6-regex-compat-prof_0.92-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpkRHMACgkQ9ijrk0dDIGz55ACbBn3gcFxCTo9SGQd1y9Q7b7Qx
j5sAniJlVNmr4xqyxftfw2pu/mzu1qWa
=0C1n
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Aug 2009 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:11:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.